<!-- Template for the route route -->
{% extends 'base.html' %}
{% block content %}
<div class="row">
  <nav class="navbar navbar-expand-lg bg-body-tertiary">
    <div class="container-fluid">
      <h6 class="p-2 m-0">{{ router.nickname }}</h6>
      <h6 class="p-2 m-0">{{ router.fingerprint }}</h6>
      <h6 class="p-2 m-0">
        {% if router.is_bridge %}
        Bridge
        {% else %}
        Relay
        {% endif %}
      </h6>
      <h6 class="p-2 m-0">
        {% if router.running %}
        <span class="text-success"><i class="fa-sharp fa-solid fa-circle"></i>
          Online
        </span>
        {% else %}
        <span class="text-danger"><i class="fa-sharp fa-solid fa-circle"></i>
          Offline
        </span>
        {% endif %}
      </h6>
    </div>
  </nav>
</div>
<div class="row mt-4">
  <div class="col-xl-6 col-md-12">
    <div class="card flat-card">
      <div class="card-header">
        <h5>Status</h5>
      </div>
      <div class="row">
        <div class="col m-2">
          <div class="row">
            <div class="col-sm-2 pt-2 pl-2">
              <i class="fa-solid fa-calendar"></i>
            </div>
            <div class="col-sm-10 text-md-left">
              <span>Status published</span>
              <h6 class="fs-6 fw-light"><small>{{ router.published }}</small></h6>
            </div>
          </div>
        </div>
        <div class="col m-2">
          <div class="row">
            <div class="col-sm-2 pt-2 pl-2">
              <i class="fa-solid fa-clock"></i>
            </div>
            <div class="col-sm-10 text-md-left">
              <span>Last seen</span>
              <h6 class="fs-6 fw-light"><small>{{ router.last_seen }}</small></h6>
            </div>
          </div>
        </div>
        <div class="col m-2">
          <div class="row">
            <div class="col-sm-2 pt-2 pl-2">
              <i class="fa-solid fa-calendar-check"></i>
            </div>
            <div class="col-sm-10 text-md-left">
              <span>First seen</span>
              <h6 class="fs-6 fw-light"><small>{{ router.first_seen }}</small></h6>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col m-2">
          <div class="row">
            <div class="col-sm-2 pt-2 pl-2">
              <i class="fa-solid fa-code-branch"></i>
            </div>
            <div class="col-sm-10 text-md-left">
              <span>Version</span>
              <h6 class="fs-6 fw-light">
                <small>
                  <a href="/routers?platform={{ router.version | safe }}">
                    {{ router.version }}
                  </a>
                </small>
              </h6>
            </div>
          </div>
        </div>
        <div class="col m-2">
          <div class="row">
            <div class="col-sm-2 pt-2 pl-2">
              <i class="fa-solid fa-earth-europe"></i>
            </div>
            <div class="col-sm-10 text-md-left">
              <span>Country code</span>
              <h6 class="fs-6 fw-light">
                <small>
                  <a href="/routers?country={{ router.country | safe }}">
                    {{ router.country }}
                  </a>
                </small>
              </h6>
            </div>
          </div>
        </div>
        <div class="col m-2">
          <div class="row">
            <div class="col-sm-2 pt-2 pl-2">
              <i class="fa-solid fa-flag"></i>
            </div>
            <div class="col-sm-10 text-md-left">
              <span>Country</span>
              <h6 class="fs-6 fw-light">
                <small>
                  <a href="/routers?country_name={{ router.country_name | safe }}">
                    {{ router.country_name }}
                  </a>
                </small>
              </h6>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="card flat-card mt-2">
      <div class="row">
        <div class="col m-2">
          <div class="row">
            <div class="col-sm-2 pt-2 pl-2">
              <i class="fa-solid fa-gauge-simple-high"></i>
            </div>
            <div class="col-sm-10 text-md-left">
              <span>Advertised Bandwidth</span>
              <h6 class="fs-6 fw-light"><small>{{ router.advertised_bandwidth }}</small></h6>
            </div>
          </div>
        </div>
        {% if not router.is_bridge %}
        <div class="col m-2">
          <div class="row">
            <div class="col-sm-2 pt-2 pl-2">
              <i class="fa-solid fa-gauge-high"></i>
            </div>
            <div class="col-sm-10 text-md-left">
              <span>Bandwidth</span>
              <h6 class="fs-6 fw-light"><small>{{ router.bandwidth }}</small></h6>
            </div>
          </div>
        </div>
        <div class="col m-2">
          <div class="row">
            <div class="col-sm-2 pt-2 pl-2">
              <i class="fa-solid fa-circle-nodes"></i>
            </div>
            <div class="col-sm-10 text-md-left">
              <span>Network fraction</span>
              <h6 class="fs-6 fw-light"><small>{{ router.network_weight_fraction }}</small></h6>
            </div>
          </div>
        </div>
        {% endif %}
      </div>
    </div>
    <div class="row pt-2">
      <div class="col-md-12">
        <div class="card support-bar overflow-hidden">
          <div class="card-body pb-0">
            <h6 class="m-0">Bandwidth in bytes per second</h6>
          </div>
          <div class="svg-container">
            {{ network_bandwidth_chart | safe }}
          </div>
        </div>
      </div>
    </div>
    {% if not router.is_bridge %}
    <div class="row pt-2">
      <div class="col-md-12">
        <div class="card support-bar overflow-hidden">
          <div class="card-body pb-0">
            <h6 class="m-0">Network fraction</h6>
          </div>
          {% if not router.is_bridge %}
          <div class="svg-container">
            {{ network_fraction_chart | safe }}
          </div>
          {% endif %}
        </div>
      </div>
    </div>
    {% endif %}
  </div>
  <div class="col-xl-6 col-md-12">
    <div class="card feed-card">
      <div class="card-header">
        <h5>Details</h5>
      </div>
      <div class="card-body">
        <div class="row m-b-25 align-items-center">
          <div class="col-1 p-r-0">
            <i class="fa-solid fa-at"></i>
          </div>
          <div class="col-11">
            <h6 class="m-b-5">Contact
              <span class="text-muted float-end f-14">
                <a class="wrapped_text" href="/routers?contact={{ router.contact | quote }}">
                  {{ router.contact }}
                </a>
              </span>
            </h6>
          </div>
        </div>
        {% if router.family_digest %}
        <div class="row m-b-25 align-items-center">
          <div class="col-1 p-r-0">
            <i class="fa-solid fa-people-roof"></i>
          </div>
          <div class="col-11">
            <h6 class="m-b-5">Family digest
              <span class="text-muted float-end f-14">
                <a href="{{ url_for('routers.routers', family_digest=router.family_digest | quote) }}">{{
                  router.family_digest
                  }}</a>
              </span>
            </h6>
          </div>
        </div>
        {% endif %}
        <div class="row m-b-25 align-items-center">
          <div class="col-1 p-r-0">
            <i class="fa-solid fa-network-wired"></i>
          </div>
          <div class="col-11">
            <h6 class="m-b-5">Or Addresses <span class="text-muted float-end f-14">{{ router.or_addresses }}</span></h6>
          </div>
        </div>
        <div class="row m-b-25 align-items-center">
          <div class="col-1 p-r-0">
            <i class="fa-regular fa-font-awesome"></i>
          </div>
          <div class="col-11">
            <h6 class="m-b-5">Flags
              <span class="text-muted float-end f-14"> |
                {% for flag in router.flags.split(',') %}
                <a href="/routers?flags={{ flag | cleanup_string | quote }}">{{ flag | cleanup_string }}</a> |
                {% endfor %}
              </span>
            </h6>
          </div>
        </div>
        <div class="row m-b-25 align-items-center">
          <div class="col-1 p-r-0">
            <i class="fa-solid fa-server"></i>
          </div>
          <div class="col-11">
            <h6 class="m-b-5">AS Name
              <span class="text-muted float-end f-14">
                <a href="/routers?as_name={{ router.as_name | quote }}">
                  {{ router.as_name }}
                </a>
              </span>
            </h6>
          </div>
        </div>
        <div class="row m-b-25 align-items-center">
          <div class="col-1 p-r-0">
            <i class="fa-solid fa-ethernet"></i>
          </div>
          <div class="col-11">
            <h6 class="m-b-5">AS
              <span class="text-muted float-end f-14">
                <a href="/routers?autonomous_system={{ router.autonomous_system | quote }}">
                  {{ router.autonomous_system }}
                </a>
              </span>
            </h6>
          </div>
        </div>
      </div>
    </div>
    {% if not router.is_bridge %}
    <div class="card flat-card mt-2">
      <div class="row">
        <div class="card-body">
          <div class="row m-b-25 align-items-center">
            <h6 class="m-b-5">Exit policy</h6>
            <code class="scrollable_container">
              {% if router.exit_policy %}
                {% for fp in router.exit_policy.split(',') %}
                  {{ fp }}<br />
                {% endfor %}
              {% endif %}
            </code>
          </div>
        </div>
      </div>
    </div>
    {% endif %}
    {% if router.effective_family %}
    <div class="card flat-card mt-2">
      <div class="row">
        <div class="card-body">
          <div class="row m-b-25 align-items-center">
            <h6 class="m-b-5">Effective family</h6>
            <code class="scrollable_container">
                 {% for fp in router.effective_family.split(' ') %}
                   {{ fp | cleanup_string }}<br />
                 {% endfor %}
               </code>
          </div>
          <div class="row m-b-25 align-items-center pt-2">
            {% if router.declared_family.split(',')|length > 1 %}
            <h6 class="m-b-5">Declared family</h6>
            <code class="scrollable_container">
                   {% for fp in router.declared_family.split(',') %}
                     {{ fp | cleanup_string }}<br />
                   {% endfor %}
                 </code>
            {% endif %}
          </div>
        </div>
      </div>
    </div>
    {% endif %}
  </div>
  <div class="row mt-4">
    <div class="col-xl-6 col-md-12">
      <div class="card feed-card">
        <div class="card-header">
          {% if notes %}
          <h5><a href={{ url_for('routers.notes', fingerprint=router.fingerprint) }}>Notes</a></h5>
          {% else %}
          <h5>Notes</h5>
          {% endif %}
        </div>
        <div class="card-body">
          <div class="row">
            <form method="post" action="{{ url_for('routers.notes', fingerprint=router.fingerprint) }}">
              <div class="row mb-3 d-flex align-items-center">
                <div class="col-10">
                  <label for="inputnote" class="form-label">Write a note</label>
                  <textarea type="text" class="form-control" id="inputnote" name="note"
                    placeholder="tor knows this relay ops" value="{{ request.form['note'] }}"
                    aria-describedby="noteHelp" aria-label="Router note"></textarea>
                  <div id="noteHelp" class="form-text">Add a note for this router.</div>
                </div>
                <div class="col-2">
                  <div class="row">
                    <button type="submit" class="btn btn-secondary">add</button>
                  </div>
                </div>
              </div>
            </form>
          </div>
          <div class="row">
            {% for note in notes: %}
            {% if not note.status=="deleted" %}
            <div class="row m-b-25 align-items-center">
              <div class="col-2 p-r-0">
                <i class="fa-solid fa-at"></i> {{ note.username }}
              </div>
              <div class="col-10">
                <h6 class="m-b-5">{{ note.note }} <span class="text-muted float-end f-14">on {{ note.published }}</span>
                </h6>
              </div>
            </div>
            {% endif %}
            {% endfor %}
          </div>
        </div>
      </div>
    </div>
    <div class="col-xl-6 col-md-12">
      <div class="card feed-card">
        <div class="card-header">
          {% if tags %}
          <h5><a href={{ url_for('routers.tags', fingerprint=router.fingerprint) }}>Tags</a></h5>
          {% else %}
          <h5>Tags</h5>
          {% endif %}
        </div>
        <div class="card-body">
          <div class="row">
            <form method="post" action="{{ url_for('routers.tags', fingerprint=router.fingerprint) }}">
              <div class="row mb-3 d-flex align-items-center">
                <div class="col-6">
                  <label for="inputTag" class="form-label">Write a tag</label>
                  <input type="text" class="form-control" id="inputTag" name="tag" placeholder="tor-knows-ops"
                    value="{{ request.form['tag'] }}" aria-describedby="tagHelp">
                  <input type="hidden" id="digest" name="digest" value="{{ router.family_digest | quote }}">
                  <div id="tagHelp" class="form-text">Add a tag for this router. You can also pick one of the top tags
                    from the dropdown below</div>
                </div>
                <div class="col-4">
                  {% if top_tags %}
                  <select class="form-select" aria-label="multiple select" id="topTags" name="frequentTags" multiple>
                    {% for top_tag in top_tags: %}
                    <option value="{{ top_tag}}">{{ top_tag }}</option>
                    {% endfor %}
                  </select>
                  {% endif %}
                </div>
                <div class="col-2">
                  <div class="row">
                    <button type="submit" class="btn btn-secondary">add</button>
                  </div>
                </div>
              </div>
            </form>
          </div>
          {% for tag in tags: %}
          {% if not tag.status=='deleted' %}
          <div class="col">
            <span class="badge rounded-pill text-bg-purple">
              <a class="link-light link-offset-2 link-offset-3-hover link-underline link-underline-opacity-0 link-underline-opacity-75-hover"
                href="/routers?tags={{ tag.tag }}">{{ tag.tag }}</a>
            </span>
          </div>
          {% endif %}
          {% endfor %}
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}